Follow a continuous feed of all equipment stats.
Your first call to this endpoint will provide you with the most recent stats for each unit of equipment and a pagination object that contains an endCursor.
You can provide the endCursor to subsequent calls via the after parameter. The response will contain any equipment stats updates since that endCursor.
If hasNextPage is false, no updates are readily available yet. Each stat type has a different refresh rate, but in general we’d suggest waiting a minimum of 5 seconds before requesting updates.
Rate limit: 150 requests/sec (learn more about rate limits here).
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Read Equipment Statistics under the Equipment category when creating or editing an API token. Learn More.
curl --request GET \
--url https://api.samsara.com/fleet/equipment/stats/feed \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "112",
"name": "Crane A7",
"engineRpm": [
{
"time": "2019-05-03T04:30:31Z",
"value": 1800
}
],
"engineSeconds": [
{
"time": "2019-05-03T04:30:31Z",
"value": 22374000
}
],
"engineStates": [
{
"time": "2019-05-03T04:30:31Z",
"value": "On"
}
],
"engineTotalIdleTimeMinutes": [
{
"time": "2019-05-03T04:30:31Z",
"value": 1000
}
],
"fuelPercents": [
{
"time": "2019-05-03T04:30:31Z",
"value": 54
}
],
"gatewayEngineSeconds": [
{
"time": "2019-05-03T04:30:31Z",
"value": 22374000
}
],
"gatewayEngineStates": [
{
"time": "2019-05-03T04:30:31Z",
"value": "On"
}
],
"gatewayJ1939EngineSeconds": [
{
"time": "2019-05-03T04:30:31Z",
"value": 22374000
}
],
"gps": [
{
"latitude": 122.142,
"longitude": -93.343,
"time": "2020-01-27T07:06:25Z",
"address": {
"id": "123",
"name": "Main Distribution Warehouse"
},
"headingDegrees": 120,
"reverseGeo": {
"formattedLocation": "16 N Fair Oaks Ave, Pasadena, CA 91103"
},
"speedMilesPerHour": 48.3
}
],
"gpsOdometerMeters": [
{
"time": "2019-05-03T04:30:31Z",
"value": 3200
}
],
"obdEngineSeconds": [
{
"time": "2019-05-03T04:30:31Z",
"value": 22374000
}
],
"obdEngineStates": [
{
"time": "2019-05-03T04:30:31Z",
"value": "On"
}
]
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.
A filter on the data based on this comma-separated list of parent tag IDs, for use by orgs with tag hierarchies. Specifying a parent tag will implicitly include all descendent tags of the parent tag. Example: parentTagIds=345,678
A filter on the data based on this comma-separated list of tag IDs. Example: tagIds=1234,5678
A filter on the data based on this comma-separated list of equipment IDs. Example: equipmentIds=1234,5678
The types of equipment stats you want to query. Currently, you may submit up to 4 types.
engineRpm: The revolutions per minute of the engine.fuelPercents: The percent of fuel in the unit of equipment.obdEngineSeconds: The number of seconds the engine has been running as reported directly from on-board diagnostics. This is supported with the following hardware configurations: AG24/AG26 + AOPEN/A9PIN/ACT9/ACT14.gatewayEngineSeconds: An approximation of the number of seconds the engine has been running since it was new, based on the amount of time the asset gateway has been receiving power with an offset provided manually through the Samsara cloud dashboard. This is supported with the following hardware configurations:
gatewayJ1939EngineSeconds: An approximation of the number of seconds the engine has been running since it was new, based on the amount of time the AG26 device is receiving power via J1939/CAT cable and an offset provided manually through the Samsara cloud dashboard.obdEngineStates: The state of the engine read from on-board diagnostics. Can be Off, On, or Idle.gatewayEngineStates: An approximation of engine state based on readings the AG26 receives from the aux/digio cable. Can be Off or On.gpsOdometerMeters: An approximation of odometer reading based on GPS calculations since the AG26 was activated, and a manual odometer offset provided in the Samsara cloud dashboard. Valid values: Off, On.gps: GPS data including lat/long, heading, speed, address book entry (if exists), and a reverse geocoded address.engineTotalIdleTimeMinutes: Total time in minutes that the engine has been idling.gatewayEngineStates, obdEngineStates, fuelPercents, engineRpm, gatewayEngineSeconds, obdEngineSeconds, gatewayJ1939EngineSeconds, gpsOdometerMeters, gps, engineTotalIdleTimeMinutes The feed of equipment stats and pagination information
curl --request GET \
--url https://api.samsara.com/fleet/equipment/stats/feed \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "112",
"name": "Crane A7",
"engineRpm": [
{
"time": "2019-05-03T04:30:31Z",
"value": 1800
}
],
"engineSeconds": [
{
"time": "2019-05-03T04:30:31Z",
"value": 22374000
}
],
"engineStates": [
{
"time": "2019-05-03T04:30:31Z",
"value": "On"
}
],
"engineTotalIdleTimeMinutes": [
{
"time": "2019-05-03T04:30:31Z",
"value": 1000
}
],
"fuelPercents": [
{
"time": "2019-05-03T04:30:31Z",
"value": 54
}
],
"gatewayEngineSeconds": [
{
"time": "2019-05-03T04:30:31Z",
"value": 22374000
}
],
"gatewayEngineStates": [
{
"time": "2019-05-03T04:30:31Z",
"value": "On"
}
],
"gatewayJ1939EngineSeconds": [
{
"time": "2019-05-03T04:30:31Z",
"value": 22374000
}
],
"gps": [
{
"latitude": 122.142,
"longitude": -93.343,
"time": "2020-01-27T07:06:25Z",
"address": {
"id": "123",
"name": "Main Distribution Warehouse"
},
"headingDegrees": 120,
"reverseGeo": {
"formattedLocation": "16 N Fair Oaks Ave, Pasadena, CA 91103"
},
"speedMilesPerHour": 48.3
}
],
"gpsOdometerMeters": [
{
"time": "2019-05-03T04:30:31Z",
"value": 3200
}
],
"obdEngineSeconds": [
{
"time": "2019-05-03T04:30:31Z",
"value": 22374000
}
],
"obdEngineStates": [
{
"time": "2019-05-03T04:30:31Z",
"value": "On"
}
]
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}